Introduction
Top Next

Short definition of an FTP client?

An FTP (File Transfer Protocol) client will allow you to transfer files from one computer or server to another with the click of a button. All you need is the computer's name and a user name and password for yourself. After entering this information into the client you will be able to transfer files to and from your computer from other computers.

This is useful in Web page design if you have composed a Web page on your computer and want to upload it to your hosting provider online. It is also useful if you want to edit one of your existing pages. All you have to do is download the page from the hosting provider's server to your computer, edit the file and re-upload it.

What is it and how will it help me?

You may or may not have heard the term, FTP, but it is something that can come in handy when creating a Web site. FTP is an acronym that stands for File Transfer Protocol. An FTP client is a program that allows you to easily move files from one computer to another.

In the case of creating a Web site, this means that if you create the pages for your site on your computer, either using a text editor or some other Web page editor, then you will need to move it to the server where your site will be hosted. FTP is the main way to do this.

How Does It Work

Once you have your FTP client (Crystal FTP Pro) uploaded to your computer and you have an account set up with a home page hosting provider that offers FTP then you are ready to get started.

Open your FTP client and go into the site manager (Favorites). You will see several different boxes that you will need to fill out. The first one is the "Profile Name". This is simply the name you are going to give to this particular site. You can call it "My Home Page" if you want to.

The next box is the "Hostname". This is the name of the server that your home page is being hosted on. You can get this from your hosting provider. It will look something like this: ftp.hostname.com .

The other important things you will need to access your site are your FTP "Username" and "Password". These are the same as the user name and password that you gave when you signed up for the hosting service that you are trying to access.

You may want to click on the button that saves your password so you don't have to type it every time, unless you have a security reason for not doing this. You may also want to change the initial local folder to automatically go to the place on your computer where you are keeping your home page files.

Once you have all your settings in place click on the button that says "Connect" and you will see it connect to the other server. You will know this is complete when files show up on the right side of the screen.

For simplicities sake I recommend that you set up the folders on your hosting service exactly the same as you set them up on your computer so you will always remember to send your files to the correct folders.

Using FTP

Now that you are connected the hard part is behind you and we can start the fun stuff. Let's transfer some files!

The left side of the screen are the files on your computer. Find the file that you want to transfer by double clicking on the folders until you get to your file. The right side of the screen are the files on the hosting server. Go to the folder you want to transfer your files to also by double clicking.

Now you can either double click on the file you are transferring or you can single click on it and then click on the arrow that points to the right side of the screen. Either way you will now have a file on your hosting server. To move a file from the hosting server to your computer do the same thing except click on the arrow that points to the left side of the screen.

That's not all you can do with your files using the FTP client. You can also view, rename, delete and move your files around. If you need to create a new folder for your files you can do that too by clicking on "New Folder".

You've now mastered the skill of transferring files. All you have left to do is go to your hosting provider, log in and look at your Web site. You may need to make a few adjustments to your links but you now have a working Web site of your very own.

source: about.com


Add a site to the favorites manager

How to add a site to the favorites manager
Previous Top Next

How to add a site to the favorites manager

1. Open the favorites manager

Launch Crystal FTP Pro and press the 'favorites' button on the main toolbar.

2. Add new site to the favorites manager

The favorites manager should now be visible and active on your screen.

Press the 'new site' button to add a new site to the favorites manager.

After pressing the button, a popup dialog asks for a nickname for the site. You can freely decide the nickname for the site. It could for example be MY Homepage

3. Fill in the basic site details

Now it's time to fill in the basic site details. Such as the site address, login information and more.

Hostname
Set this value to the address for the FTP site. This could for example be ftp.netscape.com

Port
Set this value to the port address for the FTP site. If you don't know this vale, set it to 21 (which is the default value)

Anonymous
If you want to connect to the FTP site as an anonymous user, check this checkbox and skip the 'Username' and 'Password' entries below.

Username (don't fill if you connect anonymously)
Enter your FTP login username here. If you don't know your login username, you should ask the FTP site responsible person about it.

Password (don't fill if you connect anonymously)
Enter your FTP login password here. If you don't know your login password, you should ask the FTP site responsible person about it.

4. Ready to connect

Even though there are more options in the favorites manager, the details you have now entered about the FTP site should be enough to connect.

!!! Before connecting, remember to press the 'save changes' button to save the site details you have just entered.

Now press the 'Connect' button to connect to the newly created FTP site account.

5. Easy reconnecting

The next time you want to connect to the FTP site, simply do the following:

1. Open the favorites manager.
2. Select the FTP site in the site overview.
3. Press connect.


Connect to an FTP site

How to connect to an FTP site

How to connect to an FTP site

1. Enter site details into the quick connect tool bar

Address
The address should be the hostname or ip address of the FTP site you would like to connect to.
If you don't have this information, you should ask you system administrator or your homepage provider about it.

Username
The username is the logon user id needed to connect the FTP site.
If you want to connect anonymously to the FTP site, keep this field empty.

Password
The password is the logon password needed to connect the FTP site.
If you want to connect anonymously to the FTP site, keep this field empty.

Port
The port used to connect to the FTP site. The default port is 21.

2. Connect to the FTP site

When you have entered the site details into the quick connect tool bar, simply press the ''Connect' button to establish a connection to the FTP site.


Send a file to an FTP site

How to send a file to an FTP site

How to send a file to an FTP site

1. Connect to the FTP site where you want the file to be send.

2. Active the local fileview and select the file / files you want to send to the FTP site.

3. Active the remote fileview and browse to the folder where you want to place the selected file / files.

4. Now press the send button on the main toolbar.

Instead of pressing the send button, you can also drag'n'drop the files from the local listview to the remote listview.

The file will now be send to the FTP site. You can follow the transfer progress in the transfer queue at the bottom of the main screen.


Advanced

Advanced Setup

Options

Monitor clipboard for FTP URLs
With this option turned on, Crystal FTP Pro will automatically detect if an FTP URL has been copied to the clipboard. After detection, Crystal FTP Pro will ask if it should connect to the detected FTP site.

Minimize application to system tray
Specify whether Crystal FTP Pro should be minimized to the taskbar or to the system tray. Use this option to save space on the taskbar.

Never show "work in progress" waiting window
During time consuming operations, Crystal FTP Pro normally shows a waiting window. If you want to disable that window, use this option.

Show detailed technical info in log window
With this option turned on, Crystal FTP Pro will display some detailed info in the main logwindow. This info includes startup time, connection duration and more. No personal information such as FTP passwords will be displayed.

Logo

Disable logo
In case you want to disable the zooming logo on the mainscreen, use this option. Disabling the logo will give a small performance gain on slow computers.

Use custom logo
The default Crystal FTP Pro logo is a diamond. If you want to have your own logo displayed when launching Crystal FTP Pro, use this option. Specify the path to the custom logo (BMP file) in the editbox below the checkbox.


Bandwidth Meter

Bandwidth Meter Setup

Options

Hide bandwidth meter
Use this option to hide the bandwidth meter from the main window.

Disable bandwidth meter updating
In case you don't want the bandwidth meter on the main window to be updated automatically, use this option. Disabling the bandwidth meter will give a very small performance gain on slow computers.

Show advanced transfer details when:
Mouse is over meter
Advanced transfer info is only shown when the mouse cursor is placed over the bandwidth meter.
Always show it
Always show advanced tranfser details.
Never show it
Never show advanced transfer details.


Anti timeout

Anti timeout Setup

Anti timeout setup

Enable FTP anti timeout technology
Many FTP servers will disconnect users if they are inactive for a specific number of seconds or minutes. With this setting enabled, you might prevent the server from disconnecting because of inactivity.

Anti timeout pulse interval
Specify the minimum and maximum number of seconds between an anti timeout pulse should be sent to the FTP server. Crystal FTP Pro will sent the anti timeout pulse to the server at a random time between "minimum" and "maximum" seconds of inactivity.

Stop sending anti timeout pulse
Specify the maximum number of minutes Crystal FTP Pro should keep an inactive FTP connection alive. If you for example set this value to "30", Crystal FTP Pro will stop sending anti timeout pulses to the server after 30 minutes.


Ascii/Binary

Ascii / Binary Setup

Text (ASCII) files

Specify text (ASCII) files here
Text (ASCII) files should be transfered as text files when downloaded or uploaded to an FTP site. Transfering text files in non-text mode may break the file.

To add files that should be transfered in text mode, press the "Add" button and enter a filename or a filemask for the text file(s). If you for example want to transfer all files with the extension .TXT in text mode, then add a filemask called *.TXT

Transfer mode

Transfer mode
Auto select (recommended)
Crystal FTP Pro automatically decides whether a file should be transfered in text or binary mode.
It is recommeded that you use this option.
Always binary mode
To transfer all files in binary mode, select this option.
Always ASCII mode
To transfer all files in ASCII mode, select this option.


Connection

Connection Setup

Connection retries

Max retries
Specify how many times Crystal FTP Pro should try to connect to the active FTP site. Crystal FTP Pro will retry connecting to a site if it has been disconnected from the site or the prior attempt to connect failed.

Retry delay
Set number of seconds between the connection retries.

Anonymous session password

Anonymous password
When connection to an FTP site anonymously, the FTP server normally asks for a password. This password should normally be your email address. You can set this setting to a "fake" email address, such as "anonymous@anonymous.com" to preserve your anonymity.

Options

List hidden files and folders on FTP server
When using this setting, Crystal FTP Pro will try to list all files in the given FTP folder. Including files that are normally hidden.

Use FTP file date on downloaded files
Normally Crystal FTP Pro sets the date of downloaded files to the date they get downloaded. But when using this setting, the downloaded files will preserve the date they originally had on the FTP site.

Auto refresh local and FTP folders when needed
Use this setting to make sure you can always see the most up-to-date list of files locally and on the FTP server. Disabling the setting will speed up the FTP navigation but may cause outdated directory information to be displayed.


Firewall

Firewall Setup

FTP connection type

Type
Direct
Select this option to make direct connections to FTP sites.
Direct (Passive)
Select this option to make direct connections to FTP sites, but transfer files in passive mode.
If you are able to connect to FTP sites but cannot unable to list directories on the sites, try this option.
Std. Proxy
If you have to connect to FTP sites through a standard proxy server, use this option.
Socks
Use this option to connect to FTP sites through a socks server.

Firewall address
Hostname for the proxy or socks server. Don't use this option if you connect in "Direct" or "Direct (Passive)" mode.

Firewall port
Port for the proxy or socks server. Don't use this option if you connect in "Direct" or "Direct (Passive)" mode.


History

History Setup

Connection history settings

Max retries in history list
Specify the maximum number of site entries that should be kept in the connection history. When the limit has been reached, the oldest site entries will be deleted automatically.

Save last used FTP folder in history
If checked, Crystal FTP Pro will automatically go to the last used FTP folder when reconnecting to a site in the hitsory list.


Display

Display Setup

File view

Show filesizes in bytes instead of KB
Use this setting if you want to see the exact byte sizes of files in Crystal FTP Pro.

Auto select last used folder
Use this setting to automatically select the folder you have just browsed when pressing the tab-key or pressing the "parent folder" button.

Use fullrow selection
When enabled, entire rows in the fileview are selected instead of only the file / folder name.

Shift file row colors
Enable to make it easier to distinguish the rows in the fileviews from each other.

Shade filename column
Make the filename column in the fileview another color than the other columns. This option was implemented to make the fileviews look like the fileviews in Microsoft Windows Explorer under Windows XP.

Mark cached folders with bold font
Use this setting to easily see which folder you have already browsed on the active FTP site. Folders already browsed are being cached by Crystal FTP Pro and are very fast to access.

Hide fileicons from listviews
When enabled, the images left to the filename columns are hidden. This gives a small performance gain on slow computers.

Disable color fading for active windows
Color fading makes a smooth fade between the active and the inactive fileview window. On slow computers it may give a small performance gain to disable the fading.

Show log window
When enabled, the log window is shown at the top of the main screen in Crystal FTP Pro.

Show bandwidth meter
When enabled, the bandwidth meter window is shown at the bottom-left part of the main screen in Crystal FTP Pro.


Font

Font Setup

Font settings

Font name
Here you can set the font to be used in the fileviews and in the queueview on the mainscreen in Crystal FTP Pro. The default font is "tahoma".

Font size
Set the size of the font here. Press "reset" to restore the default font size.

Font space
Set the space of the font here. Press "reset" to restore the default font space.

Sample window

Sample window
When changing the font name, size or space, you can see the changes on this window before you choose to apply them to the fileview windows and the queue window.


Shortcuts

Shortcuts Setup

Shortcuts

Key shortcuts
Many of the features in Crystal FTP Pro can be associated with a definable keyboard shortcut.

If you for example associate the "favorites" manager with a key shortcut called "F8", you simply have to press the "F8" key on the keyboard to open the favorites manager.

To reset the shourtcut associations to the default values, press the "reset" button.


Sound

Sound Setup

Options

Disable sound support
Use this if you want to disable all sound support into Crystal FTP Pro.

To disable sound support for specific operations in Crystal FTP Pro, simply delete the event sound file association.

Events

Events
Here you can associate different event in Crystal FTP Pro with a specific sound.

The sound file can be found by using the "browse" button, and has to be in standard windows WAV format.


Toolbar

Toolbar Setup

Options

Selected theme
Use this option to select a theme for the toolbars in Crystal FTP Pro.
There are currently three features themes, called standard, officeXP and stripes.

Font size
Use this option to choose the font size for the text on the toolbar buttons.

Sample toolbar

Sample toolbar
The sample toolbar shows how the changes will be to the Crystal FTP Pro toolbars when you change the toolbar options above.


General

General Setup

Application startup action

When starting Crystal FTP Pro
Do nothing special
Do nothing after launching Crystal FTP Pro. With this option selected, Crystal FTP Pro will show the main screen after program start up.
Open favorites manager
Automatically opens the favorites manager after program start up.
Connect to last used site
Automatically connects to the last used FTP site after program start up.
Open smartURL connect
Automatically opens the smart URL connection dialog after program start up.
Open connection history
Automatically opens the connection history dialog after program start up.

Specify how many times Crystal FTP Pro should try to connect to the active FTP site. Crystal FTP Pro will retry connecting to a site if it has been disconnected from the site or the prior attempt to connect failed.

Default doubleclick file action

File doubleclick action
Open file
When the file is doubleclicked, it will be executed.
Transfer file
When the file is doubleclicked, it will be "sent to" or "received from" the active FTP site.

Default editor

Use the "browse" button to select a default editor for Crystal FTP Pro. the default editor is used, when you click the "edit" button.
It can be used to edit HTML files on FTP sites and more.

Always use default editor for editing files
Normally Crystal FTP Pro will look for an editor associated with the file you want to edit. So HTML files will be edited with an HTML editor, GIF files will be edited with an image editor and so on. If you want to force Crystal FTP Pro to use a specific editor for all files you edit, use this option.


Prompts

Prompts Setup

Prompts

There is currently no help for the prompt options as there should be no need for such.

If you need help on these options, please contact support at support@casdk.com


Transfer

Transfer Setup

File transfer options

If the file already exists at destination, then
Overwrite the file
Existing file will automatically be overwritten if a file with the same name is sent to, or received from, FTP site.
Resume the file
Existing file will automatically be resumed at the fileend if a file with the same name is sent to, or received from, FTP site.
This is good if you want to continue a download of a large file after a site disconnection.
Skip file transfer
The file transfer will be skipped if a file with the same name already exists at destination.
Prompt for action (recommended)
If a file with the same name as the file to be transfered already exists at destination, Crystal FTP Pro will show a transfer dialog. On the diaog you can choose to either overwrite, resume or skip the file transfer.

Auto select default choice after (seconds)
If you have "prompt for action" selected and the transfer dialog pops up, you can use this option to automatically close the transfer dialog after a specific number of seconds. If the transfer dialog closes automatically, it will automatically resume the file to be transfered.


Security

Security Setup
Previous Top

History

Delete quick connect bar history on exit
Deletes information about last used site from the quick-connect bar when exiting Crystal FTP Pro.
When you start up the application again, the quick-connect bar fields will be blank.

Delete local folder history on exit
Deletes the list of the last accessed local folders from Crystal FTP Pro when exiting the program.

Delete connection history on exit
Deletes the list of the last accessed sites that stored in the history dialog.The history dialog will be blank after starting up Crystal FTP Pro if you select this option.

Password

Ask for password when launching Crystal FTP Pro
If you want to make sure that only you have access to the FTP sites stored in Crystal FTP Pro, then use this feature. When used, you will see a password dialog when launcing Crystal FTP Pro asking for a specific password. If the password is incorrectly entered, Crystal FTP Pro will exit.

The launch password can be changed in the "password" editbox.


.topic 1
Short definition of an FTP client?

An FTP (File Transfer Protocol) client will allow you to transfer files from one computer or server to another with the click of a button. All you need is the computer's name and a user name and password for yourself. After entering this information into the client you will be able to transfer files to and from your computer from other computers.

This is useful in Web page design if you have composed a Web page on your computer and want to upload it to your hosting provider online. It is also useful if you want to edit one of your existing pages. All you have to do is download the page from the hosting provider's server to your computer, edit the file and re-upload it.

What is it and how will it help me?

You may or may not have heard the term, FTP, but it is something that can come in handy when creating a Web site. FTP is an acronym that stands for File Transfer Protocol. An FTP client is a program that allows you to easily move files from one computer to another.

In the case of creating a Web site, this means that if you create the pages for your site on your computer, either using a text editor or some other Web page editor, then you will need to move it to the server where your site will be hosted. FTP is the main way to do this.

How Does It Work

Once you have your FTP client (Crystal FTP Pro) uploaded to your computer and you have an account set up with a home page hosting provider that offers FTP then you are ready to get started.

Open your FTP client and go into the site manager (Favorites). You will see several different boxes that you will need to fill out. The first one is the "Profile Name". This is simply the name you are going to give to this particular site. You can call it "My Home Page" if you want to.

The next box is the "Hostname". This is the name of the server that your home page is being hosted on. You can get this from your hosting provider. It will look something like this: ftp.hostname.com .

The other important things you will need to access your site are your FTP "Username" and "Password". These are the same as the user name and password that you gave when you signed up for the hosting service that you are trying to access.

You may want to click on the button that saves your password so you don't have to type it every time, unless you have a security reason for not doing this. You may also want to change the initial local folder to automatically go to the place on your computer where you are keeping your home page files.

Once you have all your settings in place click on the button that says "Connect" and you will see it connect to the other server. You will know this is complete when files show up on the right side of the screen.

For simplicities sake I recommend that you set up the folders on your hosting service exactly the same as you set them up on your computer so you will always remember to send your files to the correct folders.

Using FTP

Now that you are connected the hard part is behind you and we can start the fun stuff. Let's transfer some files!

The left side of the screen are the files on your computer. Find the file that you want to transfer by double clicking on the folders until you get to your file. The right side of the screen are the files on the hosting server. Go to the folder you want to transfer your files to also by double clicking.

Now you can either double click on the file you are transferring or you can single click on it and then click on the arrow that points to the right side of the screen. Either way you will now have a file on your hosting server. To move a file from the hosting server to your computer do the same thing except click on the arrow that points to the left side of the screen.

That's not all you can do with your files using the FTP client. You can also view, rename, delete and move your files around. If you need to create a new folder for your files you can do that too by clicking on "New Folder".

You've now mastered the skill of transferring files. All you have left to do is go to your hosting provider, log in and look at your Web site. You may need to make a few adjustments to your links but you now have a working Web site of your very own.

source: about.com

.topic 1000
How to add a site to the favorites manager

1. Open the favorites manager

Launch Crystal FTP Pro and press the 'favorites' button on the main toolbar.

2. Add new site to the favorites manager

The favorites manager should now be visible and active on your screen.

Press the 'new site' button to add a new site to the favorites manager.

After pressing the button, a popup dialog asks for a nickname for the site. You can freely decide the nickname for the site. It could for example be MY Homepage

3. Fill in the basic site details

Now it's time to fill in the basic site details. Such as the site address, login information and more.

Hostname
Set this value to the address for the FTP site. This could for example be ftp.netscape.com

Port
Set this value to the port address for the FTP site. If you don't know this vale, set it to 21 (which is the default value)

Anonymous
If you want to connect to the FTP site as an anonymous user, check this checkbox and skip the 'Username' and 'Password' entries below.

Username (don't fill if you connect anonymously)
Enter your FTP login username here. If you don't know your login username, you should ask the FTP site responsible person about it.

Password (don't fill if you connect anonymously)
Enter your FTP login password here. If you don't know your login password, you should ask the FTP site responsible person about it.

4. Ready to connect

Even though there are more options in the favorites manager, the details you have now entered about the FTP site should be enough to connect.

!!! Before connecting, remember to press the 'save changes' button to save the site details you have just entered.

Now press the 'Connect' button to connect to the newly created FTP site account.

5. Easy reconnecting

The next time you want to connect to the FTP site, simply do the following:

1. Open the favorites manager.
2. Select the FTP site in the site overview.
3. Press connect.

.topic 1001
Connection history settings

Max retries in history list
Specify the maximum number of site entries that should be kept in the connection history. When the limit has been reached, the oldest site entries will be deleted automatically.

Save last used FTP folder in history
If checked, Crystal FTP Pro will automatically go to the last used FTP folder when reconnecting to a site in the hitsory list.